# png::basic_pixel_traits< pixel, component, pixel_color_type, channels, bit_depth > Struct Template Reference

Basic pixel traits class template. More...

`#include <pixel_traits.hpp>`

Inheritance diagram for png::basic_pixel_traits< pixel, component, pixel_color_type, channels, bit_depth >:

List of all members.

## Public Types

typedef pixel | pixel_type
typedef component | component_type

## Static Public Member Functions

static color_type | get_color_type ()
static size_t | get_channels ()
static size_t | get_bit_depth ()

## Detailed Description

### template<typename pixel, typename component, color_type pixel_color_type, size_t channels = sizeof(pixel) / sizeof(component), size_t bit_depth = std::numeric_limits< component >::digits>
struct png::basic_pixel_traits< pixel, component, pixel_color_type, channels, bit_depth >

Basic pixel traits class template.

Provides common implementation for various pixel_traits<> specializations.

## Member Typedef Documentation

template<typename pixel, typename component, color_type pixel_color_type, size_t channels = sizeof(pixel) / sizeof(component), size_t bit_depth = std::numeric_limits< component >::digits>

typedef pixel png::basic_pixel_traits< pixel, component, pixel_color_type, channels, bit_depth >::pixel_type

template<typename pixel, typename component, color_type pixel_color_type, size_t channels = sizeof(pixel) / sizeof(component), size_t bit_depth = std::numeric_limits< component >::digits>

typedef component png::basic_pixel_traits< pixel, component, pixel_color_type, channels, bit_depth >::component_type

## Member Function Documentation

template<typename pixel, typename component, color_type pixel_color_type, size_t channels = sizeof(pixel) / sizeof(component), size_t bit_depth = std::numeric_limits< component >::digits>

static color_type png::basic_pixel_traits< pixel, component, pixel_color_type, channels, bit_depth >::get_color_type | ( | ) | `[inline, static]`

template<typename pixel, typename component, color_type pixel_color_type, size_t channels = sizeof(pixel) / sizeof(component), size_t bit_depth = std::numeric_limits< component >::digits>

static size_t png::basic_pixel_traits< pixel, component, pixel_color_type, channels, bit_depth >::get_channels | ( | ) | `[inline, static]`

template<typename pixel, typename component, color_type pixel_color_type, size_t channels = sizeof(pixel) / sizeof(component), size_t bit_depth = std::numeric_limits< component >::digits>

static size_t png::basic_pixel_traits< pixel, component, pixel_color_type, channels, bit_depth >::get_bit_depth | ( | ) | `[inline, static]`

The documentation for this struct was generated from the following file:

- pixel_traits.hpp